meson: require valgrind 3.10.0 to enable it with freedreno

Graphics / Mesa 3D Graphics Library / libdrm - Jose Maria Casanova Crespo [igalia.com] - 7 May 2020 02:57 UTC

Freedreno uses VALGRIND_ENABLE_ADDR_ERROR_REPORTING_IN_RANGE that was introduced in Valgrind 3.10.0

Raspbian Buster includes Valgrind 3.7.0, so when valgrind is installed as freedreno is build by default the build becomes broken. So lets require 3.10 to enable valgrind when freedreno is built.

v2: Keep the arguments listed in the same order (Emil Velikov)

Closes: https://gitlab.freedesktop.org/mesa/drm/-/issues/37

c997baf5 meson: require valgrind 3.10.0 to enable it with freedreno
meson.build | 6 +++++-
1 file changed, 5 insertions(+), 1 deletion(-)

Upstream: cgit.freedesktop.org


  • Share